# Interface MaskSpec.Reader

Enclosing class:
  `MaskSpec`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface MaskSpec.Reader
Reads a flag.

Since:
  6 Jan 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`readFlag(long irow)`
Returns a particular mask given this reader's current state.

## Method Details

### readFlag

boolean readFlag(long irow) throws IOException
Returns a particular mask given this reader's current state. Note that the supplied row index is additional information (for instance may be relevant to JEL expression evaluation) and it does not determine the row from which the value is supplied.

Parameters:
  `irow` - row index
Returns:
  inclusion flag
Throws:
  `IOException`